/*
Copyright 2021 Rancher Labs, Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by main. DO NOT EDIT.

package v1alpha4

import (
	"github.com/rancher/lasso/pkg/controller"
	"github.com/rancher/wrangler/pkg/schemes"
	"k8s.io/apimachinery/pkg/runtime/schema"
	v1alpha4 "sigs.k8s.io/cluster-api/api/v1alpha4"
)

func init() {
	schemes.Register(v1alpha4.AddToScheme)
}

type Interface interface {
	Cluster() ClusterController
	Machine() MachineController
	MachineDeployment() MachineDeploymentController
}

func New(controllerFactory controller.SharedControllerFactory) Interface {
	return &version{
		controllerFactory: controllerFactory,
	}
}

type version struct {
	controllerFactory controller.SharedControllerFactory
}

func (c *version) Cluster() ClusterController {
	return NewClusterController(schema.GroupVersionKind{Group: "cluster.x-k8s.io", Version: "v1alpha4", Kind: "Cluster"}, "clusters", true, c.controllerFactory)
}
func (c *version) Machine() MachineController {
	return NewMachineController(schema.GroupVersionKind{Group: "cluster.x-k8s.io", Version: "v1alpha4", Kind: "Machine"}, "machines", true, c.controllerFactory)
}
func (c *version) MachineDeployment() MachineDeploymentController {
	return NewMachineDeploymentController(schema.GroupVersionKind{Group: "cluster.x-k8s.io", Version: "v1alpha4", Kind: "MachineDeployment"}, "machinedeployments", true, c.controllerFactory)
}
